Planul de Lucru

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft SelectPlane and the translation is 4% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Stretch.svg Stretch

Draft SelectPlane.svg Draft SelectPlane

poziția meniului
Draft → Utilities → Select Plane
Workbenches
Draft, Arch
scurtătură
W P
Prezentat în versiune
-
A se vedea, de asemenea,
Draft SetWorkingPlaneProxy


Descriere

Modulul Draft dispune de un sistem de plan de lucru, care vă permite să specificați un plan personalizat în spațiul 3D pe care va apărea următoarea comandă Draft. Există mai multe metode pentru a defini planul de lucru:
  • De pe o fațetă selectată
  • De la 3 noduri selectate
  • Din vizualizarea curentă
  • De la o presetare: de sus, frontal sau lateral
  • Nici unul, caz în care planul de lucru este adaptat automat la vizualizarea curentă atunci când porniți o comandă sau la o față dacă începeți să desenați pe o față existentă.

WorkingPlane example.png

Different working planes can be set on which to draw shapes


Cum se folosește

  1. Apăsați butonul Draft SelectPlane.png SelectPlane. Dacă butonul nu arată așa, vedeți-l pe acesta note.

The Draft SelectPlane.svg SelectPlane button is present in the Draft Tray toolbar, which only appears in the Draft and Arch workbenches.

Without element selected

  1. Press the Draft SelectPlane.svg SelectPlane button.
  2. Select the offset, the grid spacing, and the main lines
  3. Select one of the presets: View-top.svg XY (top), View-front.svg XZ (front), View-right.svg YZ (side), View-isometric.svg View, or View-axonometric.svg Auto.

Once the plane is set, the button will change to indicate the active plane Draft SelectPlane.png Top, Draft SelectPlane.svg Front, Draft SelectPlane.svg Side, Draft SelectPlane.png Auto, Draft SelectPlane.svg d(0.0,-1.0,0.0).

You can show and hide the grid with the shortcut G R.

With element selected

  1. Select a face of an existing object in the 3D view, or hold Ctrl and select three vertices of any object. introduced in version 0.17
  2. Press the Draft SelectPlane.svg SelectPlane button, or right click and select Utilities → Draft SelectPlane.svg SelectPlane.

The plane will be created aligned to the face of the object, or to the plane defined by the three vertices.

Opțiuni

  • Pentru a seta planul de lucru la geometria existentă: selectați o fațetă a unui obiect existent în vizualizarea 3D sau introduced in version 0.17, cu CTRL apăsat, 3 vârfuri pe orice obiect. Apoi apăsați tasta Draft SelectPlane.png SelectPlane
  • Apăsarea butonului VIEW va stabili planul de lucru drept planul de vizualizare, perpendicular pe axa camerei și trecând prin punctul de origine (0,0,0).
  • Apăsarea butonului AUTO va decupla orice plan de lucru curent. Următoarele operații 2D vor fi dependente de vizualizare.
  • De asemenea, puteți specifica o valoare de offset, care vă va stabili planul de lucru la o anumită distanță de planul pe care îl selectați.
  • Puteți să ascundeți și să arătați grila cu comanda rapidă G R

Script

Obiectul plan de lucru poate fi ușor creat și manipulat în scripturi și în macros. Puteți crea propriele dvs. planuri de lucru și le puteți folosi independent de planul curent de lucru curent.

Working plane objects can easily be created and manipulated in macros and from the Python console.

De asemenea, puteți accesa planul curent de lucru al Draft-ului actual:

import FreeCAD

Workplane = FreeCAD.DraftWorkingPlane

v1 = FreeCAD.Vector(0, 0, 0)
v2 = FreeCAD.Vector(1, 1, 1).normalize()

Workplane.alignToPointAndAxis(v1, v2, 17)

A Draft command must be issued after changing the working plane to update the visible grid.

Exempluː

import WorkingPlane

Plane = WorkingPlane.plane()
Arrow-left.svg Previous: Draft Stretch.svg Stretch